Bug 539137 - FTBFS R-Biobase-2.4.1-2.fc12
FTBFS R-Biobase-2.4.1-2.fc12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: R-Biobase (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F13FTBFS
  Show dependency treegraph
 
Reported: 2009-11-19 11:56 EST by FTBFS
Modified: 2009-11-27 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-27 16:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (430.08 KB, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details
build.log (6.57 KB, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details
mock.log (962 bytes, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details
root.log (573.18 KB, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details
build.log (6.43 KB, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details
mock.log (970 bytes, text/plain)
2009-11-19 11:56 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2009-11-19 11:56:32 EST
R-Biobase-2.4.1-2.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2009-11-19 11:56:35 EST
Setting to ASSIGNED per Fedora Bug Triage workflow.  https://fedoraproject.org/wiki/BugZappers/BugStatusWorkFlow
Comment 2 FTBFS 2009-11-19 11:56:37 EST
Created attachment 371811 [details]
root.log

root.log for i386
Comment 3 FTBFS 2009-11-19 11:56:39 EST
Created attachment 371812 [details]
build.log

build.log for i386
Comment 4 FTBFS 2009-11-19 11:56:41 EST
Created attachment 371813 [details]
mock.log

mock.log for i386
Comment 5 FTBFS 2009-11-19 11:56:42 EST
Created attachment 371814 [details]
root.log

root.log for x86_64
Comment 6 FTBFS 2009-11-19 11:56:43 EST
Created attachment 371815 [details]
build.log

build.log for x86_64
Comment 7 FTBFS 2009-11-19 11:56:44 EST
Created attachment 371816 [details]
mock.log

mock.log for x86_64
Comment 8 R P Herrold 2009-11-20 13:16:25 EST
Some of the RawHide R packagings use an older and deprecated model of 
NOT combining a 'flattened' combilation of the upstream R archive of 
the R version and the R release, into a single value, in the RPM Version

The need to do so is to permit well ordered, and meaningful RPM Release bumps, 
in the event that a repackaging or security backport becomes needed

Fortunately, the 'flattening' of the R version and the R release has the useful 
RPM rpmvercmp effect of 'comparing newer' on the flatened package, and so may 
be safely done.

See this link for the a description of the issue
   https://www.redhat.com/archives/fedora-r-devel-list/2009-June/msg00003.html

May I please ask that this be 'flattened' along with fixing the additional 
issue which caused the bug.  The new RPM Release would become:

   2.4.1.2

Thank you

-- Russ herrold
Comment 9 Fedora Update System 2009-11-21 10:52:38 EST
R-Biobase-2.6.0-1.fc12,R-AnnotationDbi-1.8.1-1.fc12,R-BufferedMatrix-1.10.0-1.fc12,R-BufferedMatrixMethods-1.10.0-1.fc12,R-DynDoc-1.24.0-1.fc12,R-GeneR-2.16.0-1.fc12,R-RUnit-0.4.22-3.fc12,R-affyio-1.14.0-1.fc12,R-maanova-1.16.0-1.fc12,R-preprocessCore-1.8.0-1.fc12,R-qvalue-1.20.0-1.fc12,R-rlecuyer-0.3.1-1.fc12,R-widgetTools-1.24.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/R-Biobase-2.6.0-1.fc12,R-AnnotationDbi-1.8.1-1.fc12,R-BufferedMatrix-1.10.0-1.fc12,R-BufferedMatrixMethods-1.10.0-1.fc12,R-DynDoc-1.24.0-1.fc12,R-GeneR-2.16.0-1.fc12,R-RUnit-0.4.22-3.fc12,R-affyio-1.14.0-1.fc12,R-maanova-1.16.0-1.fc12,R-preprocessCore-1.8.0-1.fc12,R-qvalue-1.20.0-1.fc12,R-rlecuyer-0.3.1-1.fc12,R-widgetTools-1.24.0-1.fc12
Comment 10 Fedora Update System 2009-11-21 10:57:21 EST
R-Biobase-2.6.0-1.fc11,R-AnnotationDbi-1.8.1-1.fc11,R-BufferedMatrix-1.10.0-1.fc11,R-BufferedMatrixMethods-1.10.0-1.fc11,R-DynDoc-1.24.0-1.fc11,R-GeneR-2.16.0-1.fc11,R-RUnit-0.4.22-3.fc11,R-affyio-1.14.0-1.fc11,R-maanova-1.16.0-1.fc11,R-preprocessCore-1.8.0-1.fc11,R-qvalue-1.20.0-1.fc11,R-rlecuyer-0.3.1-1.fc11,R-widgetTools-1.24.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/R-Biobase-2.6.0-1.fc11,R-AnnotationDbi-1.8.1-1.fc11,R-BufferedMatrix-1.10.0-1.fc11,R-BufferedMatrixMethods-1.10.0-1.fc11,R-DynDoc-1.24.0-1.fc11,R-GeneR-2.16.0-1.fc11,R-RUnit-0.4.22-3.fc11,R-affyio-1.14.0-1.fc11,R-maanova-1.16.0-1.fc11,R-preprocessCore-1.8.0-1.fc11,R-qvalue-1.20.0-1.fc11,R-rlecuyer-0.3.1-1.fc11,R-widgetTools-1.24.0-1.fc11
Comment 11 Fedora Update System 2009-11-21 11:09:52 EST
R-Biobase-2.6.0-1.fc10,R-AnnotationDbi-1.8.1-1.fc10,R-BufferedMatrix-1.10.0-1.fc10,R-BufferedMatrixMethods-1.10.0-1.fc10,R-DynDoc-1.24.0-1.fc10,R-RUnit-0.4.22-3.fc10,R-affyio-1.14.0-1.fc10,R-maanova-1.16.0-1.fc10,R-preprocessCore-1.8.0-1.fc10,R-qvalue-1.20.0-1.fc10,R-rlecuyer-0.3.1-1.fc10,R-widgetTools-1.24.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/R-Biobase-2.6.0-1.fc10,R-AnnotationDbi-1.8.1-1.fc10,R-BufferedMatrix-1.10.0-1.fc10,R-BufferedMatrixMethods-1.10.0-1.fc10,R-DynDoc-1.24.0-1.fc10,R-RUnit-0.4.22-3.fc10,R-affyio-1.14.0-1.fc10,R-maanova-1.16.0-1.fc10,R-preprocessCore-1.8.0-1.fc10,R-qvalue-1.20.0-1.fc10,R-rlecuyer-0.3.1-1.fc10,R-widgetTools-1.24.0-1.fc10
Comment 12 Fedora Update System 2009-11-24 02:34:35 EST
R-Biobase-2.6.0-1.fc10, R-AnnotationDbi-1.8.1-1.fc10, R-BufferedMatrix-1.10.0-1.fc10, R-BufferedMatrixMethods-1.10.0-1.fc10, R-DynDoc-1.24.0-1.fc10, R-RUnit-0.4.22-3.fc10, R-affyio-1.14.0-1.fc10, R-maanova-1.16.0-1.fc10, R-preprocessCore-1.8.0-1.fc10, R-qvalue-1.20.0-1.fc10, R-rlecuyer-0.3.1-1.fc10, R-widgetTools-1.24.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase R-AnnotationDbi R-BufferedMatrix R-BufferedMatrixMethods R-DynDoc R-RUnit R-affyio R-maanova R-preprocessCore R-qvalue R-rlecuyer R-widgetTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11899
Comment 13 Fedora Update System 2009-11-24 02:36:26 EST
R-Biobase-2.6.0-1.fc11, R-AnnotationDbi-1.8.1-1.fc11, R-BufferedMatrix-1.10.0-1.fc11, R-BufferedMatrixMethods-1.10.0-1.fc11, R-DynDoc-1.24.0-1.fc11, R-GeneR-2.16.0-1.fc11, R-RUnit-0.4.22-3.fc11, R-affyio-1.14.0-1.fc11, R-maanova-1.16.0-1.fc11, R-preprocessCore-1.8.0-1.fc11, R-qvalue-1.20.0-1.fc11, R-rlecuyer-0.3.1-1.fc11, R-widgetTools-1.24.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase R-AnnotationDbi R-BufferedMatrix R-BufferedMatrixMethods R-DynDoc R-GeneR R-RUnit R-affyio R-maanova R-preprocessCore R-qvalue R-rlecuyer R-widgetTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11902
Comment 14 Fedora Update System 2009-11-24 02:39:47 EST
R-Biobase-2.6.0-1.fc12, R-AnnotationDbi-1.8.1-1.fc12, R-BufferedMatrix-1.10.0-1.fc12, R-BufferedMatrixMethods-1.10.0-1.fc12, R-DynDoc-1.24.0-1.fc12, R-GeneR-2.16.0-1.fc12, R-RUnit-0.4.22-3.fc12, R-affyio-1.14.0-1.fc12, R-maanova-1.16.0-1.fc12, R-preprocessCore-1.8.0-1.fc12, R-qvalue-1.20.0-1.fc12, R-rlecuyer-0.3.1-1.fc12, R-widgetTools-1.24.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-Biobase R-AnnotationDbi R-BufferedMatrix R-BufferedMatrixMethods R-DynDoc R-GeneR R-RUnit R-affyio R-maanova R-preprocessCore R-qvalue R-rlecuyer R-widgetTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11921
Comment 15 Fedora Update System 2009-11-27 16:44:20 EST
R-Biobase-2.6.0-1.fc11, R-AnnotationDbi-1.8.1-1.fc11, R-BufferedMatrix-1.10.0-1.fc11, R-BufferedMatrixMethods-1.10.0-1.fc11, R-DynDoc-1.24.0-1.fc11, R-GeneR-2.16.0-1.fc11, R-RUnit-0.4.22-3.fc11, R-affyio-1.14.0-1.fc11, R-maanova-1.16.0-1.fc11, R-preprocessCore-1.8.0-1.fc11, R-qvalue-1.20.0-1.fc11, R-rlecuyer-0.3.1-1.fc11, R-widgetTools-1.24.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-11-27 16:54:18 EST
R-Biobase-2.6.0-1.fc10, R-AnnotationDbi-1.8.1-1.fc10, R-BufferedMatrix-1.10.0-1.fc10, R-BufferedMatrixMethods-1.10.0-1.fc10, R-DynDoc-1.24.0-1.fc10, R-RUnit-0.4.22-3.fc10, R-affyio-1.14.0-1.fc10, R-maanova-1.16.0-1.fc10, R-preprocessCore-1.8.0-1.fc10, R-qvalue-1.20.0-1.fc10, R-rlecuyer-0.3.1-1.fc10, R-widgetTools-1.24.0-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-11-27 17:03:40 EST
R-Biobase-2.6.0-1.fc12, R-AnnotationDbi-1.8.1-1.fc12, R-BufferedMatrix-1.10.0-1.fc12, R-BufferedMatrixMethods-1.10.0-1.fc12, R-DynDoc-1.24.0-1.fc12, R-GeneR-2.16.0-1.fc12, R-RUnit-0.4.22-3.fc12, R-affyio-1.14.0-1.fc12, R-maanova-1.16.0-1.fc12, R-preprocessCore-1.8.0-1.fc12, R-qvalue-1.20.0-1.fc12, R-rlecuyer-0.3.1-1.fc12, R-widgetTools-1.24.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.